package com.palmnest.webapp.quartz;

import com.palmnest.service.estateserve.AnnouncementManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 执行发送通知公告的定时任务
 *
 * @author yubing
 * @since 2017-08-17 11:00:00
 */
@Slf4j
@Component("executeSendAnnoTimerTask")
public class ExecuteSendAnnoTimerTask {


	@Autowired
	private AnnouncementManager announcementManager;

	public void run() {
		log.info("executeSendAnnoTimerTask run check.");
		announcementManager.assignTimerAnnouncement();
	}

}
